Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#711 closed defect

newlib/libc/ctype/wctype.c contains invalid code

Reported by: Eric Norum Owned by: Joel Sherrill
Priority: low Milestone: 2
Component: unspecified Version: unknown
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

wctype.c contains the following in a couple of switch statements:

break;

default:
}

GCC 3.4.0 rejects this.

Release:
newlib-1.11.0 with latest OAR patches

Environment:
gcc3.4.0

Change History (3)

comment:1 Changed on 03/08/06 at 18:01:11 by Joel Sherrill

Status: assignedsuspended

State-Changed-From-To: open->suspended
State-Changed-Why: Newer newlib versions should be used with gcc 3.4 and up.

comment:2 Changed on 11/21/14 at 15:43:25 by Joel Sherrill

Description: modified (diff)
Resolution: fixed
Status: closed

Wow! Newlib 1.11.0 .. closing.

comment:3 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.